###########################################################################################
##      					Mundo Choc Cac
##  Author : 
##	Home Page 	: http://wiki.qt.io/Build_Qt5_postgresql_plugin_for_Android
##  Author    	: Mynor Rene Choc Cac <mynorrene@choccac.com>
##	Home Page 	: http://www.mynorrene.choccac.com
##  Project   	: Driver Postgres
##  Date      	: 2015-06-08T16:06:39
##  License   	: GPL3 and Digia
##  Comment   	: none
##  Plataform 	: android_armv5, android_armv7 y android_x86.
##  FileName  	: libqsqlpsql.so
##  Dependency	: 	libpq.so
## 					liblog.so
##					libz.so
##					libdl.so
##					libstdc++.so
##					libm.so
##					libc.so
##
##  This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
##  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
## 
###########################################################################################
#http://wiki.qt.io/Build_Qt5_postgresql_plugin_for_Android

Compilation android_armv5 Postgres driver, android_armv7 and android_x86.

  phase configuration for compilation:
  
1. Sdk Qt http://www.qt.io/download-open-source/#section-2

This is where the directory where we Qt will be included.
It was noticed that the end does not carry the slash "/".
The version used was beta (http://download.qt.io/development_releases/qt/5.5/5.5.0-beta/) or stable version 5.4.2, both were with support for android.
example: lugarSr = "/ home /" $ USER "/Qt5.5.0/5.5"
or
example: lugarSr = "/ home / your_username / Qt5.5.0 / 5.5"

Remember that here suppose we have installed in our home Qt.

2. NDK https://developer.android.com/intl/es/ndk/downloads/index.html
this version is usury but you can use an earlier or later version, remember down the right NDK as may be 64 bits or 32 bits.
It was noticed that the end does not carry the slash "/".
example: miSdk = "/ home /" $ USER "/ Android / android-NDK-r10e"
or
example: miSdk = "/ home / tu_usario / Android / android-NDK-r10e"

The platform used was version 9, but you can use another version
that you wish you can use the version 9
example: miplafaforms = "9"

The compiler version that was used during the test was 4.8 or 4.9, but had used NDK 9
which also I worked.
example mitoolchains = "4.9"
 
Compiling the driver:

open a terminal premisos give chmod 777 driverPostgresQtAndroid_x86_32_Y_x86_64.sh
I luegoo run in the terminal ./driverPostgresQtAndroid_x86_32_Y_x86_64.sh
Choose the driver you want to compile.
If you have the a location such as / usr / xxx or / opt / xx the NDK or Qt inicar have to give way to your root or sudo. The script will download all necessary files for the compilation as postgres.

use of the driver:
just enough add the .pro file this QT + = sql

Note:
I tried the version arm5, arm7 and x86, working properly, without any kind of poblema.
otherwise postgres must configure to enable RECEIVE CONNECTION through the Internet or LAN.


Like attached an application so you can test the driver works.